Bug 21248 - Fix COinS carp in MARC details page on unknown record
Summary: Fix COinS carp in MARC details page on unknown record
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-20 04:29 UTC by paxed
Modified: 2018-09-24 09:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21248: Fix COinS carp in MARC details page on unknown record (1.32 KB, patch)
2018-08-20 04:34 UTC, paxed
Details | Diff | Splinter Review
Bug 21248: Fix COinS carp in MARC details page on unknown record (1.72 KB, patch)
2018-09-05 23:44 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 21248: Fix COinS carp in MARC details page on unknown record (1.81 KB, patch)
2018-09-14 09:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-08-20 04:29:24 UTC
Looking up a nonexisting biblio in the MARC details -page will cause the COinS to carp.
Comment 1 paxed 2018-08-20 04:34:22 UTC
Created attachment 78011 [details] [review]
Bug 21248: Fix COinS carp in MARC details page on unknown record

Looking up a nonexistent record in the MARC details -page causes
the COinS to carp. The fix is trivial, just move the COinS call
couple lines, after the record existence check.
Comment 2 M. Tompsett 2018-09-05 23:44:42 UTC
Created attachment 78451 [details] [review]
Bug 21248: Fix COinS carp in MARC details page on unknown record

Looking up a nonexistent record in the MARC details -page causes
the COinS to carp. The fix is trivial, just move the COinS call
couple lines, after the record existence check.

TEST PLAN
---------
1) reset_all for kohadevbox
2) log in to staff client - admin/admin
3) search catalogue for green
4) tweak the top URL to have a bad biblionumber (eg. 9999)
5) cat /var/log/koha/kohadev/plack-err.log
   -- floody! with errors.
6) echo | sudo tee /var/log/koha/kohadev/plack-err.log
7) restart_all
8) repeat steps 2 through 5.
   -- just nice starting messages, not floody.
9) run koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2018-09-14 09:44:49 UTC
Created attachment 78644 [details] [review]
Bug 21248: Fix COinS carp in MARC details page on unknown record

Looking up a nonexistent record in the MARC details -page causes
the COinS to carp. The fix is trivial, just move the COinS call
couple lines, after the record existence check.

TEST PLAN
---------
1) reset_all for kohadevbox
2) log in to staff client - admin/admin
3) search catalogue for green
4) tweak the top URL to have a bad biblionumber (eg. 9999)
5) cat /var/log/koha/kohadev/plack-err.log
   -- floody! with errors.
6) echo | sudo tee /var/log/koha/kohadev/plack-err.log
7) restart_all
8) repeat steps 2 through 5.
   -- just nice starting messages, not floody.
9) run koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-09-14 19:56:51 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-09-17 13:30:45 UTC
Pushed to 18.05.x for 18.05.04
Comment 6 Fridolin SOMERS 2018-09-24 09:41:59 UTC
Pushed to 17.11.x for 17.11.10